import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional()
}).strict();
export const DatabaseBackupCountOrderByAggregateInputObjectSchema: z.ZodType<Prisma.DatabaseBackupCountOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupCountOrderByAggregateInput>;
export const DatabaseBackupCountOrderByAggregateInputObjectZodSchema = makeSchema();
